Subject: RE: [Sip] Registration Event Package vs. DEREGISTER method

From: [email-masked]
Date: Thu, 31 Oct 2002 14:06:51 +0900

Thanks, Jonathan. 
Inline

> [email-masked] wrote:
> > Hello,
> >
> > How do you think about defining new method for 
> deregistration, namely
> >  "DEREGISTER" ?
> 
> Deregistration is already supported using REGISTER with Expires:0.

I am sorry for ambiguity. 
I mean Deregistration is Network Initiated Deregistration e.g. Registration
Expiration at Registrar.

In detail, Registration event package document says, 
UA subscribes to Registration event package in order to get notification of
changes of its registration state, 
for example registration expiration.

But how about Registrar sends DEREGISTER to UA when UA's registration
expires or is unregistered.
Is it reasonable ? Thanks in advance. 

> >
> > IMHO, I think we need not subscription to Registration event package
> >  right after registration.
> 
> Subscriptions to registrations are needed for the reasons desribed in
> the document.
> 
> -Jonathan R.
> -- 
> Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
> Chief Scientist                             First Floor
> dynamicsoft                                 East Hanover, NJ 07936
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
>